AsterNet Class Library (Sandcastle documentation)

| ReceiveCharCommand Class

Receives a character of text on a channel.
Specify timeout to be the maximum time to wait for input in milliseconds, or 0 for infinite.
Most channels do not support the reception of text.
Returns the decimal value of the character if one is received, or 0 if the channel does not support text reception. Returns -1 only on error/hangup.
Inheritance Hierarchy
System
Object
AsterNET.FastAGI.Command
AGICommand
AsterNET.FastAGI.Command
ReceiveCharCommand

Namespace: AsterNET.FastAGI.Command
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class ReceiveCharCommand : AGICommand

    Public Class ReceiveCharCommand
    	Inherits AGICommand

    public ref class ReceiveCharCommand : public AGICommand

    type ReceiveCharCommand =
        class
            inherit AGICommand
        end

The ReceiveCharCommand type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| ReceiveCharCommand | Creates a new ReceiveCharCommand with a default timeout of 0 meaning to wait for ever.
| ReceiveCharCommand(Int32) | Creates a new ReceiveCharCommand.

Top
Methods

| Name | Description
--- | --- | ---
| BuildCommand | (Overrides AGICommand BuildCommand .)
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| EscapeAndQuote | (Inherited from AGICommand.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from AGICommand.)

Top
Properties

| Name | Description
--- | --- | ---
| Timeout | Get/Set the milliseconds to wait for the channel to receive a character.

Top
See Also

#### Reference

AsterNET.FastAGI.Command Namespace